/**********************************
	Treatment Variables by Quarter
************************************/

clear all
set more off

cap cd "${PAPER_ANALYSIS}"

****************************************************************************

* NEEDS TO BE SWITCHED TO THE RIGHT CIRCLES
insheet using "${DATA}/Raw Data/Administrative Data/120904 Crosswalk to Randomization_All.csv", comma clear
drop if rand_circle_id==.
keep rand_circle_id q1_2012_circle_id
ren q1_2012_circle_id circle_id
merge m:1 circle_id using "Coded Data/Phase II Balloted Circle HR Change Tracking.dta"
assert _m != 2
keep if _m==3
drop _m
drop circle_id
ren rand_circle_id circle_id
* one split with different implementation records: average
forv x = 2/4 {
replace impl_Q`x' = .85 if circle_id==107900
}
duplicates drop	
isid circle_id
tempfile implementation
sa `implementation'

reshape long impl_Q, i(circle_id) j(qtr)
ren impl_Q _impl_c
g fyear=2012

append using "Coded Data/Phase III ETO Clusters and Implementation.dta"

* PUT RANDOMIZATION IN HERE TOO
merge m:1 circle_id fyear using "${DATA}/Cleaned Data/Randomization/130506 Cleaned Phase III Randomization.dta"	// in 2012, sometimes = 2 , for control circles
expand 4 if fyear==2012 & _m==2	// control circles; need 4 quarters
bys circle_id fyear: replace qtr = _n if fyear==2012 & _m==2
assert _m!=1
assert _m==3 if fyear==2013
drop _m

* CREATE IMPL FOR SUBTREATMENTS AND FOR YEAR BY YEAR (C1 C2)
g _impl_c1 = _impl_c if _select_c1==1
g _impl_c2 = _impl_c if _select_c2==1
foreach t in INFO REV REVPLS CFW {
	g `t'_impl = _impl_c if `t'_sel==1
	g `t'_impl1 = _impl_c if `t'_sel1==1
	g `t'_impl2 = _impl_c if `t'_sel2==1
	}
foreach v of varlist *impl* {
	replace `v' = 0 if `v'==.
	}
	
* FIX INFORMATION IMPLEMENTATION COEFFICIENT
replace _impl_c = 0 if INFO_sel==1
	
* PATCH FOR NON-CONSENTING CIRCLES
* For circles that did not consent, assign 1/3 treatment to each subtreatment
count if REV_sel+REVPLS_sel+CFW_sel!=_select_c
assert `r(N)'<70	// something like 10 circles
g flag = REV_sel+REVPLS_sel+CFW_sel==0 & _select_c==1
foreach a in REV REVPLS CFW {
	replace `a'_sel = .333 if flag
	}
drop flag
g flag = REV_sel1+REVPLS_sel1+CFW_sel1==0 & _select_c1==1 
foreach a in REV REVPLS CFW {
	replace `a'_sel1 = .333 if flag
	replace `a'_sel1all = .333 if flag & fyear == 2012
	replace `a'_sel2all = .333 if flag & fyear == 2013
	}
drop flag
g flag = REV_sel2+REVPLS_sel2+CFW_sel2==0 & _select_c2==1 
foreach a in REV REVPLS CFW {
	replace `a'_sel2 = .333 if flag
	replace `a'_sel2all = .333 if flag & fyear == 2013
	}
drop flag
assert REV_sel+REVPLS_sel+CFW_sel-_select_c<.01

tempfile implementation
sa `implementation'
saveold "Coded Data/treatment_vars", replace
