clear all
set more off

cap cd "${PAKTAX_ANALYSIS}"

***********************************

insheet using "Data/Tax Circle Boundaries/tax_circles.csv", comma clear
keep fid circle_id
isid fid
tempfile ids
save `ids'

insheet using "Data/Tax Circle Boundaries/adjacency_matrix.csv", comma clear
drop rowid_ objectid

rename near_fid fid

// First merge in circle IDs for matched features

merge m:1 fid using `ids'
assert _merge != 1
keep if _merge == 3
drop _merge

foreach var of varlist fid circle_id  {
	ren `var' near_`var'
}

rename in_fid fid

merge m:1 fid using `ids'
assert _merge != 1
keep if _merge == 3
drop _merge

foreach var of varlist fid circle_id  {
	ren `var' in_`var'
}

* Don't need fid variables anymore
drop in_fid near_fid

* Drop matches to self
drop if in_circle_id == near_circle_id

* For each circle pair, keep closest distance
egen g = group(in_circle_id near_circle_id)

bys g (near_dist) : gen n = _n
keep if n == 1

drop g n

ren in_circle_id circle_id
order circle_id near_circle_id near_dist


label var circle_id "Q4 2013 Circle ID"
label var near_dist "Distance (in KM)"

save "${PAPER_ANALYSIS}/Coded Data/proximity", replace
