****** Revenue_Supervisors with INFO out of controls ******
****** Revenue_Supervisors with INFO out of controls ******
****** Revenue_Supervisors with INFO out of controls ******
****** Revenue_Supervisors with INFO out of controls ******

/*
	Replicates the Supervisors results with INFO taken out of the controls.
	Uses randomization inference because we over-reject with regular robust
	standard errors
	
*/


clear all
pr drop _all
cap log close
set more off
set mem 500m
set matsize 800
*set matsize 4000
*set maxvar 32767
pause on

cap cd "${PAPER_ANALYSIS}"
adopath ++ "Do Files/Ado Files"


local iter = 1000

*************
* 2. Extra coding
*************

u "Coded Data/Phase III Analysis Data.dta", clear

* CODE INTERACTIONS
foreach v of varlist REV_sel REVPLS_sel CFW_sel INFO_sel _select_c {
	g sup`v' = _select_s*`v'
	}
foreach v of varlist REV_impl REVPLS_impl CFW_impl INFO_impl _impl_c  {
	g sup`v' = _impl_s*`v'
	}

* Note that circle clusters are nested within ETO clusters, automatically

	
*************
* 3. Part b: Simple interactions
*************


* REGRESSIONS
foreach x in t c a {

		* Regress
		rireg using "Coded Data/rerand_supervisor.dta" if fyear == 2013 & qtr == 4, iter(`iter') ///
			y(ln_recov_tot_`x') x(_impl_s _impl_c INFO_impl sup_impl_c supINFO_impl) z(_select_s _select_c INFO_sel sup_select_c supINFO_sel) control(base_ln_recov_tot_`x' divdum*) cl(ETO_clus)
		* Outreg
		local a = "replace"
		outreg2 using "${RI_OUTPUT}/Supervisor_Interactions_Info_`x'_RI"	///
			, `a' ctitle("Q`q'") word stats(coef pval)
		}



