****** Revenue_Supervisors ******
****** Revenue_Supervisors ******
****** Revenue_Supervisors ******
****** Revenue_Supervisors ******

clear all
pr drop _all
cap log close
set more off
set mem 500m
set matsize 800
*set matsize 4000
*set maxvar 32767
pause on

cap cd "C:\Users\kmangal\Dropbox\Pakistan Property Tax Project Analysis\"
cap cd "C:\Users\Kunal\Dropbox\Pakistan Property Tax Project Analysis\"

cap cd "${PAKTAX_ANALYSIS}"

********************************

local iter = 1000 // typically 1000

** SET UP RI DATASET
insheet using "Data\Cleaned Data\Administrative Data\Crosswalk\120904 Crosswalk to Randomization_All.csv", comma clear
drop if rand_circle_id == .
keep rand_circle_id q4_2013_circle_id
duplicates drop

isid q4_2013_circle_id

tempfile


use "Data\Coded Data\rerand_supervisor.dta"
keep if fyear == 2013 & qtr == 4
drop fyear qtr

ren circle_id rand_circle_id
merge m:1 ran
ds circle_id, not

foreach var of varlist `r(varlist)' {
	egen `var'_xw = mean(`var'), by(circle_id)
	drop `var'
	duplicates drop
	
	isid 
}




** USE DATA
u "Data\Cleaned Data\Inspector Survey\Inspector Survey Clean.dta", clear
	// from "Do Files\Cleaning\Third Party Survey\131007 Inspector Survey Cleaning.do"

merge 1:1 circle_id using "Data/Coded Data/Inspector Supervisory Treatment Variables"
list circle_id if _merge == 1, clean
count if _merge == 1
keep if _m == 3
drop _m

merge 1:1 circle_id using "Data/Coded Data/Inspector Treatment Variables"
list circle_id if _merge == 1, clean
count if _merge == 1
keep if _m == 3
drop _m


* SET UP TABLE
g count = _n in 1/7
g Variables = ""
replace Variables = "N" if count==7
forv q = 1/4 {
	g Q`q' = ""
	}

* REGRESSIONS
forv q = 1/`qnow' {
	forv z = 1/3 {
		local x : word `z' of t c a
		local row1 = `z'*2 - 1
		local row2 = `z'*2
		replace Variables = "Total Recovery (`x')" if count==`row1'
		* Test
		rireg using "Data/Coded Data/rerand_supervisor.dta" if fyear == 2013 & qtr == `q', ///
			y(ln_recov_tot_`x') x(_impl_s) z(_select_s) control(base_ln_recov_tot_`x' stratdum_s*) cl(ETO_clus) iter(`iter')
		* Coefficient and SE
		matrix tmat = e(coef)
		local d = tmat[1,1]
		local d = round(`d',.001)
		replace Q`q' = "`d'" if count==`row1'
		matrix tmat = e(pval)
		local e = tmat[1, 1]
		local e = round(`e',.001)
		replace Q`q' = "["+substr("`e'",1,4)+"]" if count==`row2'
		* Significance
		local sig = _b[_impl_s]/_se[_impl_s]
		if 2*(1-normal(abs(`sig')))<.1 replace Q`q' = Q`q'+"*" if count==`row1'
		if 2*(1-normal(abs(`sig')))<.05 replace Q`q' = Q`q'+"*" if count==`row1'
		if 2*(1-normal(abs(`sig')))<.01 replace Q`q' = Q`q'+"*" if count==`row1'
		* Count
		local count`z' = `e(N)'
		}
	assert abs(`count2'-`count1')<10
	assert abs(`count3'-`count2')<10
	if `count2'>`count1' local count1 = `count2'
	if `count3'>`count1' local count1 = `count3'
	replace Q`q' = "`count1'" if count==7
	}
	

outsheet Variables Q? in 1/7 using "Tables/RI/Revenue_Supervisors_RI.csv", comma replace




*************
* 2. Extra coding
*************

u "Data/Coded Data/Phase III Analysis Data.dta", clear

* CODE INTERACTIONS
foreach v of varlist REV_sel REVPLS_sel CFW_sel INFO_sel _select_c {
	g sup`v' = _select_s*`v'
	}
foreach v of varlist REV_impl REVPLS_impl CFW_impl INFO_impl _impl_c  {
	g sup`v' = _impl_s*`v'
	}

* Note that circle clusters are nested within ETO clusters, automatically



	
*************
* 3. Part b: Simple interactions
*************


* REGRESSIONS
foreach x in t c a {
	forv q = 1/`qnow' {
		* Regress
		rireg using "Data/Coded Data/rerand_supervisor.dta" if fyear == 2013 & qtr == `q', iter(`iter') ///
			y(ln_recov_tot_`x') x(_impl_s _impl_c sup_impl_c) z(_select_s _select_c sup_select_c) control(base_ln_recov_tot_`x' divdum*) cl(ETO_clus)
		* Outreg
		if `q'==1 local a = "replace"
		else local a = "append"
		outreg2 using "Tables/RI/Supervisor_Interactions_`x'_RI"	///
			, `a' ctitle("Q`q'") word stats(coef pval)
		}
	}



