****** Revenue_Supervisors ******
****** Revenue_Supervisors ******
****** Revenue_Supervisors ******
****** Revenue_Supervisors ******

clear all
pr drop _all
cap log close
set more off
set mem 500m
set matsize 800
*set matsize 4000
*set maxvar 32767
pause on

cap cd "${PAPER_ANALYSIS}"
adopath ++ "Do Files/Ado Files"


********************************

local ynow = 2013
local qnow = 4

local iter = 1000 // typically 1000

*************
* 1. Part A: Just supervisors
*************

u "Coded Data/Phase III Analysis Data.dta", clear

* SET UP TABLE
g count = _n in 1/7
g Variables = ""
replace Variables = "N" if count==7
forv q = 1/4 {
	g Q`q' = ""
	}

* REGRESSIONS
forv q = 1/`qnow' {
	forv z = 1/3 {
		local x : word `z' of t c a
		local row1 = `z'*2 - 1
		local row2 = `z'*2
		replace Variables = "Total Recovery (`x')" if count==`row1'
		* Test
		rireg_droprevplus using "Coded Data/rerand_supervisor.dta" if fyear == 2013 & qtr == `q' & REVPLS_sel != 1, ///
			y(ln_recov_tot_`x') x(_impl_s) z(_select_s) control(base_ln_recov_tot_`x' stratdum_s*) cl(ETO_clus) iter(`iter')
		* Coefficient and SE
		matrix tmat = e(coef)
		local d = tmat[1,1]
		local d = round(`d',.001)
		replace Q`q' = "`d'" if count==`row1'
		matrix tmat = e(pval)
		local e = tmat[1, 1]
		local e = round(`e',.001)
		replace Q`q' = "["+substr("`e'",1,4)+"]" if count==`row2'
		* Significance
		local sig = _b[_impl_s]/_se[_impl_s]
		if 2*(1-normal(abs(`sig')))<.1 replace Q`q' = Q`q'+"*" if count==`row1'
		if 2*(1-normal(abs(`sig')))<.05 replace Q`q' = Q`q'+"*" if count==`row1'
		if 2*(1-normal(abs(`sig')))<.01 replace Q`q' = Q`q'+"*" if count==`row1'
		* Count
		local count`z' = `e(N)'
		}
	assert abs(`count2'-`count1')<10
	assert abs(`count3'-`count2')<10
	if `count2'>`count1' local count1 = `count2'
	if `count3'>`count1' local count1 = `count3'
	replace Q`q' = "`count1'" if count==7
	}
	

outsheet Variables Q? in 1/7 using "${RI_OUTPUT}/Revenue_Supervisors_DropRevPlus_RI.csv", comma replace
