clear all
set more off
set matsize 800

cap cd "${PAPER_ANALYSIS}"

****************************************

use "Coded Data\survey_coded_data", clear
merge 1:1 prop_id using "Coded Data/survey/weights", assert(match) nogen

replace w = S9TITLE_q4 / 25 if SEC9 == 0
gen f = round(w * 10)

gen tax_density_fixed = tax_density

sort prop_id
keep prop_id SEC9 tax_density f tax_density_fixed _select_c_xw cluster_c

preserve
	keep if _select_c_xw > 0
	gen id = _n
	tempfile treat
	save `treat'
restore

preserve
	keep if _select_c_xw == 0
	gen id = _n
	tempfile control
	save `control'
restore

forval i = 1/1000 {
	use `treat', clear
	bsample, cluster(cluster_c)
	
	keep SEC9 tax_density f
	gen id = _n
	merge 1:1 id using `treat', keepusing(tax_density_fixed) nogen
	
	lpoly SEC9 tax_density [aw=f], degree(1) bwidth(1) generate(yhat) at(tax_density_fixed) nograph
	
	drop if missing(yhat)
	drop id
	gen id = _n

	ren yhat yhat`i'
	
	if `i' == 1 {
		keep id yhat1 tax_density_fixed
		tempfile outcomes
		save `outcomes'
	}
	else {
		keep id yhat`i'
		merge 1:1 id using `outcomes', nogen
		save `outcomes', replace
	}
}

save "Coded Data/calculations/reassessment_rate_density_treat_bootstrap", replace


forval i = 1/1000 {
	use `control', clear
	bsample, cluster(cluster_c)
	
	keep SEC9 tax_density f
	gen id = _n
	merge 1:1 id using `control', keepusing(tax_density_fixed) nogen
	
	lpoly SEC9 tax_density [aw=f], degree(1) bwidth(1) generate(yhat) at(tax_density_fixed) nograph
	
	drop if missing(yhat)
	drop id
	gen id = _n

	ren yhat yhat`i'
	
	if `i' == 1 {
		keep id yhat1 tax_density_fixed
		tempfile outcomes
		save `outcomes'
	}
	else {
		keep id yhat`i'
		merge 1:1 id using `outcomes', nogen
		save `outcomes', replace
	}
}

save "Coded Data/calculations/reassessment_rate_density_control_bootstrap", replace
