args y2 q2 folder

// Special cases (split merge)

// 810200 and 801400
if (`y2' >= 2013) {
	// Fix up to FY 2012 Q2
	forval y_update = 2008/2012 {
		forval q_update = 1/4 {
			if (`y_update' < 2012) | (`y_update' == 2012 & `q_update' <= 2) {
				use "Data/Cleaned Data/Administrative Data/Quarterly/FY`y_update' Q`q_update'/FY`y_update' Q`q_update'.dta", clear
				keep if inlist(circle_id, 801200, 801400)
				keep circle_id net_dem* gross_dem* recov_tot*
				drop *_t
				
				foreach var of varlist net_dem* gross_dem* recov_tot* {
					rename `var' q`q_update'_`y_update'_`var'
				}
				tempfile overwrite
				save `overwrite'
					
				// Overwrite with new data
				use "Data/Cleaned Data/Administrative Data/Crosswalk/Quarterly//`folder'//`y2'_q`q2'_crosswalk.dta", clear
				merge 1:1 circle_id using `overwrite', update replace nogenerate
				save "Data/Cleaned Data/Administrative Data/Crosswalk/Quarterly//`folder'//`y2'_q`q2'_crosswalk.dta", replace
				
			}
		}
	}
}

// 802400 
if (`y2' == 2013 & `q2' >= 2) | (`y2' > 2013) {
	// Fix up to FY 2012 Q4
	forval y_update = 2008/2012 {
		forval q_update = 1/4 {
			use "Data/Cleaned Data/Administrative Data/Quarterly/FY`y_update' Q`q_update'/FY`y_update' Q`q_update'.dta", clear
			keep if inlist(circle_id, 802400)
			keep circle_id net_dem* gross_dem* recov_tot*
			drop *_t
			
			foreach var of varlist net_dem* gross_dem* recov_tot* {
				rename `var' q`q_update'_`y_update'_`var'
			}
			tempfile overwrite
			save `overwrite'
				
			// Overwrite with new data
			use "Data/Cleaned Data/Administrative Data/Crosswalk/Quarterly//`folder'//`y2'_q`q2'_crosswalk.dta", clear
			merge 1:1 circle_id using `overwrite', update replace nogenerate
			save "Data/Cleaned Data/Administrative Data/Crosswalk/Quarterly//`folder'//`y2'_q`q2'_crosswalk.dta", replace
			
		}
	}
}

// 800521
if (`y2' == 2013 & `q2' >= 2) | (`y2' > 2013) {
	// Fix between Q2-Q4 2012
	forval y_update = 2012/2012 {
		forval q_update = 2/4 {
			use "Data/Cleaned Data/Administrative Data/Quarterly/FY`y_update' Q`q_update'/FY`y_update' Q`q_update'.dta", clear
			keep if inlist(circle_id, 800521)
			keep circle_id net_dem* gross_dem* recov_tot*
			drop *_t
			
			foreach var of varlist net_dem* gross_dem* recov_tot* {
				rename `var' q`q_update'_`y_update'_`var'
			}
			tempfile overwrite
			save `overwrite'
				
			// Overwrite with new data
			use "Data/Cleaned Data/Administrative Data/Crosswalk/Quarterly//`folder'//`y2'_q`q2'_crosswalk.dta", clear
			merge 1:1 circle_id using `overwrite', update replace nogenerate
			save "Data/Cleaned Data/Administrative Data/Crosswalk/Quarterly//`folder'//`y2'_q`q2'_crosswalk.dta", replace
			
		}
	}
}


//612200, 612300
if (`y2' == 2013 & `q2' >= 3) | (`y2' > 2013) {
	// Fix up to FY 2012 Q4
	forval y_update = 2008/2012 {
		forval q_update = 1/4 {
			use "Data/Cleaned Data/Administrative Data/Quarterly/FY`y_update' Q`q_update'/FY`y_update' Q`q_update'.dta", clear
			keep if inlist(circle_id, 612200, 612300)
			keep circle_id net_dem* gross_dem* recov_tot*
			drop *_t
			
			foreach var of varlist net_dem* gross_dem* recov_tot* {
				rename `var' q`q_update'_`y_update'_`var'
			}
			tempfile overwrite
			save `overwrite'
				
			// Overwrite with new data
			use "Data/Cleaned Data/Administrative Data/Crosswalk/Quarterly//`folder'//`y2'_q`q2'_crosswalk.dta", clear
			merge 1:1 circle_id using `overwrite', update replace nogenerate
			save "Data/Cleaned Data/Administrative Data/Crosswalk/Quarterly//`folder'//`y2'_q`q2'_crosswalk.dta", replace
			
		}
	}
}
