/*******************************************************************************
*** Cleaning Inspector Survey ***
*** Obeid Rehman 		      ***
*** July 2013				  ***
*********************************

OUTLINE
*** i. Workspace
*** ii. Cleaning typos & Lables
*** iii. Saving

*******************************************************************************/


* i. Workspace
*******************************************************************************************

clear all
set more off

cap cd "${PAKTAX_ANALYSIS}"

insheet using "Data/Raw Data/Inspector Data/Inspector Phone Survey.csv", c clear

* ii. Cleaning typos & Lables
********************************************************************************
*** Cleaning some values

replace q6_d_others="" if q6_d_others == "-"
replace q14_1=. if inlist(q14_1,4,5)
destring q8,replace


*** Setting up Variable lables ans names
label variable q1 "For the whole or most of FY2013 you were posted as inspector in this tax circle"
label variable q2 "In which circle were you posted for FY 2013 if not ONLY in the above-listed circle?"
label variable q3 "How would you score your circle team effort in your duties?"
label variable q4_field "In a typical work day how many hours did you spend in the field"
label variable q4_office "In a typical work day how many hours did you spend in the office"
label variable q5 "How would you describe the pressure from your supervisors for tax collection in the last fiscal year?"
label variable q6_a "Meetings"
label variable q6_b "Visits"
label variable q6_c "Disciplinary Actions"
label variable q6_d "Other"
label variable q6_d_others ""
label variable q7 "Were you ever selected in any ballot in the past two years "
label variable q8 "What scheme were you selected in through the ballot"
label variable q9 "What circle were you balloted for treatment in?"
label variable q10 "Are you still part of this treatment circle/eligible for honorarium payment?"
label variable q11 "How would you rate the level of monitoring during the FY 2012-201?3"
label variable q13 "If there is an additional ballot in July 2013 what chance do you think you may be selected?"
label variable q15 "Right after the ballot in July 2012 did you think there was still a chance that your performance may be rewarded in some manner?"
label variable q16 "How satisfied are you with your current circle posting?"
label variable q12_1 "Level of monitoring you faced compared to Incentive Schemes"
label variable q12_2 "Level of monitoring you faced compared to Information"
label variable q12_3 "Level of monitoring you faced compared to Controls"
label variable q14_1 "Chance compared to Incentive Schemes"
label variable q14_2 "Chance compared to Information"
label variable q14_3 "Chance compared to Controls"
label variable q18_1 "First Choice - Including cities"
label variable q18_2 "Second Choice - Including cities"
label variable q18_3 "Third Choice - Including cities"


label define comparison 1 "Higher" 2 "Same" 3 "Lower"
label values q12* q14* comparison

label define yesno 1 "Yes" 2 "No"
label values q1 q10 yesno

